import io
import os
import re

from setuptools import find_packages
from setuptools import setup


def read(filename):
    filename = os.path.join(os.path.dirname(__file__), filename)
    text_type = type(u"")
    with io.open(filename, mode="r", encoding='utf-8') as fd:
        return re.sub(text_type(r':[a-z]+:`~?(.*?)`'), text_type(r'``\1``'), fd.read())


setup(
    name="how2write",
    version="0.1.1",
    url="https://github.com/ChristophePRAT/How2Write",
    license='MIT',

    author="Christophe Prat",
    author_email="christopheprat@icloud.com",

    description="An english-learning helper",
    long_description=read("README.rst"),

    packages=find_packages(exclude=('tests',)),

    include_package_data=True,
    install_requires=["requests", "gTTS", "pygame"],

    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    entry_points={
        "console_scripts": [
            "how2write=how2write.main:main"
        ]
    }
)
